<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BusinessMessageForwardInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $businessOwnerJid = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getBusinessOwnerJid()
    {
        return isset($this->businessOwnerJid) ? $this->businessOwnerJid : '';
    }

    public function hasBusinessOwnerJid()
    {
        return isset($this->businessOwnerJid);
    }

    public function clearBusinessOwnerJid()
    {
        unset($this->businessOwnerJid);
    }

    




    public function setBusinessOwnerJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->businessOwnerJid = $var;

        return $this;
    }

}

